/*
 * @author nevercom (Nevercom@gmail.com)
 */

package com.nevercom.parse.push;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import org.json.JSONObject;

import java.util.Iterator;

public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TextView tv = (TextView) findViewById(R.id.tvText);
        Intent intent = getIntent();
        if (intent != null && intent.hasExtra("com.parse.Data")) {
            try {
                JSONObject json = new JSONObject(intent.getStringExtra("com.parse.Data"));
                Iterator<?> keys = json.keys();
                String out = "";
                while (keys.hasNext()) {
                    String key = (String) keys.next();
                    out += key + ": " + json.getString(key) + "\n";
                }
                tv.setText(out);
            } catch (Exception e) {
                // TODO: handle exception
            }
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
